/*
 * 文 件 名:  MeterUse
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/7/21
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model.acrel;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 计量装置
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/7/21]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Data
public class MeterUse {
    /**
     * 仪表编号
     */
    @JSONField(name = "fMetercode")
    private String meterCode;

    /**
     * 站点id
     */
    @JSONField(name = "fSubid")
    private String subId;

    /**
     * 站点英文名称
     */
    @JSONField(name = "fSubnameEN")
    private String subNameEn;

    /**
     * 站点名称
     */
    @JSONField(name = "fSubname")
    private String subName;

    /**
     * 网关id
     */
    @JSONField(name = "fGatewayid")
    private String gatewayId;

    /**
     * 仪表名称
     */
    @JSONField(name = "fMetername")
    private String meterName;

    /**
     * 串口号
     */
    @JSONField(name = "fSerialport")
    private String serialPort;

    /**
     * 仪表地址
     */
    @JSONField(name = "fMeteraddr")
    private String meterAddr;

    /**
     * 是否离线
     */
    @JSONField(name = "fIsdisconnnect")
    private Boolean disConnect;

    /**
     * 仪表类型编号
     */
    @JSONField(name = "fMetertypecode")
    private String meterTypeCode;

    /**
     * 仪表状态编号
     * </br>1：使用 0：不使用
     */
    @JSONField(name = "fState")
    private Integer state;

    /**
     * 仪表状态
     */
    @JSONField(name = "fStateExplain")
    private String stateExplain;

    /**
     * 能源类型
     * 0：电 1：水 2：气
     */
    @JSONField(name = "fEnergyType")
    private Integer energyType;

    /**
     * 仪表类型名称
     */
    @JSONField(name = "fMetertypename")
    private String fMetertypename;

    /**
     * 第三方仪表是否存在
     */
    @JSONField(name = "thirdpartyState")
    private Integer thirdPartyState;

    /**
     * IOT设备是否存在
     */
    @JSONField(name = "outfireState")
    private Integer outFireState;

    /**
     * 是否虚拟表
     */
    @JSONField(name = "fIsreal")
    private Boolean real;

    /**
     * 仪表型号
     */
    @JSONField(name = "fModelName")
    private String fModelName;
}