/*
 * 文 件 名:  ReportNode
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/7/23
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model.acrel;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * 抄报对象
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/7/23]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Data
public class ReportNode {
    @JSONField(name = "fCircuitid")
    private String circuitId;

    @JSONField(name = "fCircuitname")
    private String circuitName;

    @JSONField(name = "fIsincoming")
    private Boolean fIsincoming;

    @JSONField(name = "origEnergyValues")
    private List<EnergyValue> origEnergyValues;
}